be.fgov.ehealth.technicalconnector.ra.domain

## Class Actor

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.Actor

- All Implemented Interfaces:
    Serializable

      public final class Actor
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Actor.Builder` `Actor` builder static inner class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Actor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<String>` | `getFirstNames()`
    `List<ActorId>` | `getIds()`
    `String` | `getName()`
    `int` | `hashCode()`
    `static Actor.Builder` | `newBuilder()`
    `void` | `setFirstNames(List<String> firstNames)`
    `void` | `setIds(List<ActorId> ids)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Actor

          public Actor()

  - ### Method Detail

    - #### newBuilder

          public static Actor.Builder newBuilder()

    - #### getIds

          public List<ActorId> getIds()

    - #### getFirstNames

          public List<String> getFirstNames()

    - #### getName

          public String getName()

    - #### setIds

          public void setIds(List<ActorId> ids)

    - #### setFirstNames

          public void setFirstNames(List<String> firstNames)

    - #### setName

          public void setName(String name)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.